# Steam::Proto
[![Build Status](https://travis-ci.org/fastpeek/steam-proto.svg?branch=0.1.0)](https://travis-ci.org/fastpeek/steam-proto)
![Gem Version](https://img.shields.io/gem/v/steam-proto.svg)

Ruby interface to the [Steam Protobufs](https://github.com/SteamRE/SteamKit/tree/master/Resources/Protobufs).

## Installation

Add `gem 'steam-proto'` to your Gemfile

## Usage

```ruby
require 'steam/proto'
Steam::Proto.load_protobufs(:steamclient, :gc, :csgo)
```

## Documentation

You can view the documentation of the generated classes [here](google.com)

## Updating the source Protobuf definitions

If the upstream protobuf definitions change the code can be regenerated as
follows.

`bundle exec rake proto:install`

# Dependencies

Requires protoc 2.6.0.
